import { combineReducers } from "redux";

import studentReducer from "./student"
import editionReducer from "@/state/reducer/edition";

const rootReducer = combineReducers({
    student: studentReducer,
    edition: editionReducer,
})

export type AppState = ReturnType<typeof rootReducer>;

export default rootReducer;
